﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="MyPortal.aspx.vb" Inherits="MyPortal" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<style type="text/css">
		.rdCustom1Loading
		{
			background: url('img/Audio.png') !important;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="Scriptmanager1" runat="server" />
	<script language="javascript" type="text/javascript">
		function Click(dockId)
		{
			var dock = $find(dockId);
			var customCommand = dock.get_commands()["CustomCommand"];
			var commandElement = customCommand.get_element().firstChild;

			if (commandElement)
				Sys.UI.DomElement.addCssClass(commandElement, "rdCustom1Loading");
			window.setTimeout(function ()
			{
				if (commandElement)
					Sys.UI.DomElement.removeCssClass(commandElement, "rdCustom1Loading");
			}, 2000);
		}
	</script>
	<table style="width: 100%">
		<tr>
			<td style="width: 140px">
				Select Module:
			</td>
			<td style="width: 140px">
				<asp:DropDownList runat="server" ID="DroptDownWidget" Width="150">
					<asp:ListItem Text="Label.ascx" Value="~/Controls/Label.ascx" Selected="true"></asp:ListItem>
					<asp:ListItem Text="ExchangeRates.ascx" Value="~/Controls/ExchangeRates.ascx"></asp:ListItem>
					<asp:ListItem Text="TelerikNews.ascx" Value="~/Controls/TelerikNews.ascx"></asp:ListItem>
					<asp:ListItem Text="TelerikBlogs.ascx" Value="~/Controls/TelerikBlogs.ascx"></asp:ListItem>
					<asp:ListItem Text="Horoscopes.ascx" Value="~/Controls/Horoscopes.ascx"></asp:ListItem>
					<asp:ListItem Text="Weather.ascx" Value="~/Controls/Weather.ascx"></asp:ListItem>
				</asp:DropDownList>
			</td>
			<td>
			</td>
			<td style="width: 100px">
				<asp:Button runat="server" ID="ButtonPostBack" Text="Make PostBack" OnClick="ButtonPostBack_Click" />
			</td>
		</tr>
		<tr>
			<td>
				Select Docking Zone:
			</td>
			<td>
				<asp:DropDownList ID="DropDownZone" runat="server" DataSource="<%# GetZones() %>"
					DataTextField="ID" DataValueField="ClientID" Width="150" OnSelectedIndexChanged="DropDownZone_SelectedIndexChanged">
				</asp:DropDownList>
			</td>
			<td>
				<asp:Button runat="server" ID="ButtonAddDock" Text="Add Dock (AJAX)" OnClick="ButtonAddDock_Click" />
			</td>
			<td>
				<asp:Button runat="server" ID="ButtonClear" Text="Clear Dock State" OnClick="ButtonClear_Click" />
			</td>
		</tr>
	</table>
	<asp:UpdatePanel runat="server" ID="UpdatePanel2" ChildrenAsTriggers="false" UpdateMode="Conditional">
		<ContentTemplate>
			<br />
			<telerik:RadDockLayout runat="server" ID="RadDockLayout1" OnSaveDockLayout="RadDockLayout1_SaveDockLayout"
				OnLoadDockLayout="RadDockLayout1_LoadDockLayout">
				<telerik:RadDockZone runat="server" ID="RadDockZone1" Width="250" MinHeight="200"
					Style="float: left; margin-right: 15px">
				</telerik:RadDockZone>
				<telerik:RadDockZone runat="server" ID="RadDockZone2" Width="250" MinHeight="200"
					Style="float: left; margin-right: 15px; background: #f5f4e8;">
				</telerik:RadDockZone>
				<telerik:RadDockZone runat="server" ID="RadDockZone3" Width="250" MinHeight="200"
					Style="background: #d5f0fa; float: left;">
				</telerik:RadDockZone>
			</telerik:RadDockLayout>
		</ContentTemplate>
		<Triggers>
			<asp:AsyncPostBackTrigger ControlID="ButtonAddDock" EventName="Click" />
		</Triggers>
	</asp:UpdatePanel>
	<div style="width: 0px; height: 0px; overflow: hidden; position: absolute; left: -10000px;">
		Hidden UpdatePanel, which is used to help with saving state when minimizing, moving
		and closing docks. This way the docks state is saved faster (no need to update the
		docking zones).
		<asp:UpdatePanel runat="server" ID="UpdatePanel1">
		</asp:UpdatePanel>
	</div>
	</form>
</body>
</html>
